]> ncurses.scripts.mit.edu Git - ncurses.git/blobdiff - configure
ncurses 5.6 - patch 20080517
[ncurses.git] / configure
index 7ef479b76e8a0d41afeca8941c35a5c04fc86451..b8251384316ca8eaf705185fc839b971a5340b35 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.433 .
+# From configure.in Revision: 1.434 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20080325.
 #
@@ -762,6 +762,8 @@ Options to Specify How Manpages are Installed:
 Extensions:
   --disable-ext-funcs     disable function-extensions
   --enable-const          compile with extra/non-standard const
+  --enable-ext-colors     compile for 256-color support
+  --enable-ext-mouse      compile for extended mouse-encoding
   --enable-no-padding     compile with $NCURSES_NO_PADDING code
   --enable-signed-char    compile using signed Boolean's in term.h
   --enable-sigwinch       compile with SIGWINCH handler
@@ -774,8 +776,6 @@ Experimental Code:
   --disable-assumed-color do not assume anything about default-colors
   --disable-hashmap       compile without hashmap scrolling-optimization
   --enable-colorfgbg      compile with $COLORFGBG code
-  --enable-ext-colors     compile for experimental 256-color support
-  --enable-ext-mouse      compile for experimental mouse-encoding
   --with-pthread          use POSIX thread library
   --enable-reentrant      compile with experimental reentrant code
   --enable-safe-sprintf   compile with experimental safe-sprintf code
@@ -8507,7 +8507,78 @@ if test "$with_ext_const" = yes ; then
        NCURSES_CONST=const
 fi
 
-echo "$as_me:8510: checking if you want \$NCURSES_NO_PADDING code" >&5
+###   use option --enable-ext-colors to turn on use of colors beyond 16.
+echo "$as_me:8511: checking if you want to use extended colors" >&5
+echo $ECHO_N "checking if you want to use extended colors... $ECHO_C" >&6
+
+# Check whether --enable-ext-colors or --disable-ext-colors was given.
+if test "${enable_ext_colors+set}" = set; then
+  enableval="$enable_ext_colors"
+  with_ext_colors=$enableval
+else
+  with_ext_colors=no
+fi;
+echo "$as_me:8521: result: $with_ext_colors" >&5
+echo "${ECHO_T}$with_ext_colors" >&6
+NCURSES_EXT_COLORS=0
+if test "$with_ext_colors" = yes ; then
+       if test "$with_widec" != yes ; then
+               { { echo "$as_me:8526: error: This option applies only to wide-character library" >&5
+echo "$as_me: error: This option applies only to wide-character library" >&2;}
+   { (exit 1); exit 1; }; }
+       else
+               # cannot be ABI 5 since it changes sizeof(cchar_t)
+
+if test "${with_abi_version+set}" != set; then
+       case $cf_cv_rel_version in
+       5.*)
+               cf_cv_rel_version=6.0
+               cf_cv_abi_version=6
+               { echo "$as_me:8537: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
+echo "$as_me: WARNING: Overriding ABI version to $cf_cv_abi_version" >&2;}
+               ;;
+       esac
+fi
+
+       fi
+       NCURSES_EXT_COLORS=1
+       cat >>confdefs.h <<\EOF
+#define NCURSES_EXT_COLORS 1
+EOF
+
+fi
+
+###   use option --enable-ext-mouse to modify coding to support 5-button mice
+echo "$as_me:8552: checking if you want to use extended mouse encoding" >&5
+echo $ECHO_N "checking if you want to use extended mouse encoding... $ECHO_C" >&6
+
+# Check whether --enable-ext-mouse or --disable-ext-mouse was given.
+if test "${enable_ext_mouse+set}" = set; then
+  enableval="$enable_ext_mouse"
+  with_ext_mouse=$enableval
+else
+  with_ext_mouse=no
+fi;
+echo "$as_me:8562: result: $with_ext_mouse" >&5
+echo "${ECHO_T}$with_ext_mouse" >&6
+NCURSES_MOUSE_VERSION=1
+if test "$with_ext_mouse" = yes ; then
+       NCURSES_MOUSE_VERSION=2
+
+if test "${with_abi_version+set}" != set; then
+       case $cf_cv_rel_version in
+       5.*)
+               cf_cv_rel_version=6.0
+               cf_cv_abi_version=6
+               { echo "$as_me:8573: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
+echo "$as_me: WARNING: Overriding ABI version to $cf_cv_abi_version" >&2;}
+               ;;
+       esac
+fi
+
+fi
+
+echo "$as_me:8581: checking if you want \$NCURSES_NO_PADDING code" >&5
 echo $ECHO_N "checking if you want \$NCURSES_NO_PADDING code... $ECHO_C" >&6
 
 # Check whether --enable-no-padding or --disable-no-padding was given.
@@ -8517,19 +8588,19 @@ if test "${enable_no_padding+set}" = set; then
 else
   with_no_padding=$with_ext_funcs
 fi;
-echo "$as_me:8520: result: $with_no_padding" >&5
+echo "$as_me:8591: result: $with_no_padding" >&5
 echo "${ECHO_T}$with_no_padding" >&6
 test "$with_no_padding" = yes && cat >>confdefs.h <<\EOF
 #define NCURSES_NO_PADDING 1
 EOF
 
-echo "$as_me:8526: checking for ANSI C header files" >&5
+echo "$as_me:8597: checking for ANSI C header files" >&5
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
 if test "${ac_cv_header_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8532 "configure"
+#line 8603 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 #include <stdarg.h>
@@ -8537,13 +8608,13 @@ else
 #include <float.h>
 
 _ACEOF
-if { (eval echo "$as_me:8540: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:8611: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:8546: \$? = $ac_status" >&5
+  echo "$as_me:8617: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -8565,7 +8636,7 @@ rm -f conftest.err conftest.$ac_ext
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 8568 "configure"
+#line 8639 "configure"
 #include "confdefs.h"
 #include <string.h>
 
@@ -8583,7 +8654,7 @@ fi
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
   cat >conftest.$ac_ext <<_ACEOF
-#line 8586 "configure"
+#line 8657 "configure"
 #include "confdefs.h"
 #include <stdlib.h>
 
@@ -8604,7 +8675,7 @@ if test $ac_cv_header_stdc = yes; then
   :
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8607 "configure"
+#line 8678 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 #if ((' ' & 0x0FF) == 0x020)
@@ -8630,15 +8701,15 @@ main ()
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:8633: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8704: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8636: \$? = $ac_status" >&5
+  echo "$as_me:8707: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:8638: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8709: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8641: \$? = $ac_status" >&5
+  echo "$as_me:8712: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -8651,7 +8722,7 @@ rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
 fi
-echo "$as_me:8654: result: $ac_cv_header_stdc" >&5
+echo "$as_me:8725: result: $ac_cv_header_stdc" >&5
 echo "${ECHO_T}$ac_cv_header_stdc" >&6
 if test $ac_cv_header_stdc = yes; then
 
@@ -8667,28 +8738,28 @@ for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
                   inttypes.h stdint.h unistd.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:8670: checking for $ac_header" >&5
+echo "$as_me:8741: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8676 "configure"
+#line 8747 "configure"
 #include "confdefs.h"
 $ac_includes_default
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8682: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8753: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8685: \$? = $ac_status" >&5
+  echo "$as_me:8756: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8688: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8759: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8691: \$? = $ac_status" >&5
+  echo "$as_me:8762: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_Header=yes"
 else
@@ -8698,7 +8769,7 @@ eval "$as_ac_Header=no"
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:8701: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:8772: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -8708,13 +8779,13 @@ EOF
 fi
 done
 
-echo "$as_me:8711: checking for signed char" >&5
+echo "$as_me:8782: checking for signed char" >&5
 echo $ECHO_N "checking for signed char... $ECHO_C" >&6
 if test "${ac_cv_type_signed_char+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8717 "configure"
+#line 8788 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -8729,16 +8800,16 @@ if (sizeof (signed char))
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8732: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8803: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8735: \$? = $ac_status" >&5
+  echo "$as_me:8806: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8738: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8809: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8741: \$? = $ac_status" >&5
+  echo "$as_me:8812: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_signed_char=yes
 else
@@ -8748,10 +8819,10 @@ ac_cv_type_signed_char=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:8751: result: $ac_cv_type_signed_char" >&5
+echo "$as_me:8822: result: $ac_cv_type_signed_char" >&5
 echo "${ECHO_T}$ac_cv_type_signed_char" >&6
 
-echo "$as_me:8754: checking size of signed char" >&5
+echo "$as_me:8825: checking size of signed char" >&5
 echo $ECHO_N "checking size of signed char... $ECHO_C" >&6
 if test "${ac_cv_sizeof_signed_char+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8760,7 +8831,7 @@ else
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 8763 "configure"
+#line 8834 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -8772,21 +8843,21 @@ int _array_ [1 - 2 * !((sizeof (signed char)) >= 0)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8775: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8846: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8778: \$? = $ac_status" >&5
+  echo "$as_me:8849: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8781: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8852: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8784: \$? = $ac_status" >&5
+  echo "$as_me:8855: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 8789 "configure"
+#line 8860 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -8798,16 +8869,16 @@ int _array_ [1 - 2 * !((sizeof (signed char)) <= $ac_mid)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8801: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8872: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8804: \$? = $ac_status" >&5
+  echo "$as_me:8875: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8807: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8878: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8810: \$? = $ac_status" >&5
+  echo "$as_me:8881: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -8823,7 +8894,7 @@ cat conftest.$ac_ext >&5
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 8826 "configure"
+#line 8897 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -8835,16 +8906,16 @@ int _array_ [1 - 2 * !((sizeof (signed char)) >= $ac_mid)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8838: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8909: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8841: \$? = $ac_status" >&5
+  echo "$as_me:8912: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8844: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8915: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8847: \$? = $ac_status" >&5
+  echo "$as_me:8918: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -8860,7 +8931,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 8863 "configure"
+#line 8934 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -8872,16 +8943,16 @@ int _array_ [1 - 2 * !((sizeof (signed char)) <= $ac_mid)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8875: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8946: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:8878: \$? = $ac_status" >&5
+  echo "$as_me:8949: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:8881: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8952: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8884: \$? = $ac_status" >&5
+  echo "$as_me:8955: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -8894,12 +8965,12 @@ done
 ac_cv_sizeof_signed_char=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:8897: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:8968: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 8902 "configure"
+#line 8973 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -8915,15 +8986,15 @@ fclose (f);
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:8918: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8989: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:8921: \$? = $ac_status" >&5
+  echo "$as_me:8992: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:8923: \"$ac_try\"") >&5
+  { (eval echo "$as_me:8994: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:8926: \$? = $ac_status" >&5
+  echo "$as_me:8997: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_signed_char=`cat conftest.val`
 else
@@ -8939,7 +9010,7 @@ else
   ac_cv_sizeof_signed_char=0
 fi
 fi
-echo "$as_me:8942: result: $ac_cv_sizeof_signed_char" >&5
+echo "$as_me:9013: result: $ac_cv_sizeof_signed_char" >&5
 echo "${ECHO_T}$ac_cv_sizeof_signed_char" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_SIGNED_CHAR $ac_cv_sizeof_signed_char
@@ -8950,7 +9021,7 @@ if test "$ac_cv_sizeof_signed_char" = 1 ; then
 else
        NCURSES_SBOOL="char"
 fi
-echo "$as_me:8953: checking if you want to use signed Boolean array in term.h" >&5
+echo "$as_me:9024: checking if you want to use signed Boolean array in term.h" >&5
 echo $ECHO_N "checking if you want to use signed Boolean array in term.h... $ECHO_C" >&6
 
 # Check whether --enable-signed-char or --disable-signed-char was given.
@@ -8960,12 +9031,12 @@ if test "${enable_signed_char+set}" = set; then
 else
   with_signed_char=no
 fi;
-echo "$as_me:8963: result: $with_signed_char" >&5
+echo "$as_me:9034: result: $with_signed_char" >&5
 echo "${ECHO_T}$with_signed_char" >&6
 test "$with_signed_char" != yes && NCURSES_SBOOL="char"
 
 ###   use option --enable-sigwinch to turn on use of SIGWINCH logic
-echo "$as_me:8968: checking if you want SIGWINCH handler" >&5
+echo "$as_me:9039: checking if you want SIGWINCH handler" >&5
 echo $ECHO_N "checking if you want SIGWINCH handler... $ECHO_C" >&6
 
 # Check whether --enable-sigwinch or --disable-sigwinch was given.
@@ -8975,14 +9046,14 @@ if test "${enable_sigwinch+set}" = set; then
 else
   with_sigwinch=$with_ext_funcs
 fi;
-echo "$as_me:8978: result: $with_sigwinch" >&5
+echo "$as_me:9049: result: $with_sigwinch" >&5
 echo "${ECHO_T}$with_sigwinch" >&6
 test "$with_sigwinch" = yes && cat >>confdefs.h <<\EOF
 #define USE_SIGWINCH 1
 EOF
 
 ###   use option --enable-tcap-names to allow user to define new capabilities
-echo "$as_me:8985: checking if you want user-definable terminal capabilities like termcap" >&5
+echo "$as_me:9056: checking if you want user-definable terminal capabilities like termcap" >&5
 echo $ECHO_N "checking if you want user-definable terminal capabilities like termcap... $ECHO_C" >&6
 
 # Check whether --enable-tcap-names or --disable-tcap-names was given.
@@ -8992,7 +9063,7 @@ if test "${enable_tcap_names+set}" = set; then
 else
   with_tcap_names=$with_ext_funcs
 fi;
-echo "$as_me:8995: result: $with_tcap_names" >&5
+echo "$as_me:9066: result: $with_tcap_names" >&5
 echo "${ECHO_T}$with_tcap_names" >&6
 NCURSES_XNAMES=0
 test "$with_tcap_names" = yes && NCURSES_XNAMES=1
@@ -9000,7 +9071,7 @@ test "$with_tcap_names" = yes && NCURSES_XNAMES=1
 ###############################################################################
 # These options are relatively safe to experiment with.
 
-echo "$as_me:9003: checking if you want all development code" >&5
+echo "$as_me:9074: checking if you want all development code" >&5
 echo $ECHO_N "checking if you want all development code... $ECHO_C" >&6
 
 # Check whether --with-develop or --without-develop was given.
@@ -9010,11 +9081,11 @@ if test "${with_develop+set}" = set; then
 else
   with_develop=no
 fi;
-echo "$as_me:9013: result: $with_develop" >&5
+echo "$as_me:9084: result: $with_develop" >&5
 echo "${ECHO_T}$with_develop" >&6
 
 ###   use option --enable-hard-tabs to turn on use of hard-tabs optimize
-echo "$as_me:9017: checking if you want hard-tabs code" >&5
+echo "$as_me:9088: checking if you want hard-tabs code" >&5
 echo $ECHO_N "checking if you want hard-tabs code... $ECHO_C" >&6
 
 # Check whether --enable-hard-tabs or --disable-hard-tabs was given.
@@ -9024,14 +9095,14 @@ if test "${enable_hard_tabs+set}" = set; then
 else
   enable_hard_tabs=$with_develop
 fi;
-echo "$as_me:9027: result: $enable_hard_tabs" >&5
+echo "$as_me:9098: result: $enable_hard_tabs" >&5
 echo "${ECHO_T}$enable_hard_tabs" >&6
 test "$enable_hard_tabs" = yes && cat >>confdefs.h <<\EOF
 #define USE_HARD_TABS 1
 EOF
 
 ###   use option --enable-xmc-glitch to turn on use of magic-cookie optimize
-echo "$as_me:9034: checking if you want limited support for xmc" >&5
+echo "$as_me:9105: checking if you want limited support for xmc" >&5
 echo $ECHO_N "checking if you want limited support for xmc... $ECHO_C" >&6
 
 # Check whether --enable-xmc-glitch or --disable-xmc-glitch was given.
@@ -9041,7 +9112,7 @@ if test "${enable_xmc_glitch+set}" = set; then
 else
   enable_xmc_glitch=$with_develop
 fi;
-echo "$as_me:9044: result: $enable_xmc_glitch" >&5
+echo "$as_me:9115: result: $enable_xmc_glitch" >&5
 echo "${ECHO_T}$enable_xmc_glitch" >&6
 test "$enable_xmc_glitch" = yes && cat >>confdefs.h <<\EOF
 #define USE_XMC_SUPPORT 1
@@ -9050,7 +9121,7 @@ EOF
 ###############################################################################
 # These are just experimental, probably should not be in a package:
 
-echo "$as_me:9053: checking if you do not want to assume colors are white-on-black" >&5
+echo "$as_me:9124: checking if you do not want to assume colors are white-on-black" >&5
 echo $ECHO_N "checking if you do not want to assume colors are white-on-black... $ECHO_C" >&6
 
 # Check whether --enable-assumed-color or --disable-assumed-color was given.
@@ -9060,14 +9131,14 @@ if test "${enable_assumed_color+set}" = set; then
 else
   with_assumed_color=yes
 fi;
-echo "$as_me:9063: result: $with_assumed_color" >&5
+echo "$as_me:9134: result: $with_assumed_color" >&5
 echo "${ECHO_T}$with_assumed_color" >&6
 test "$with_assumed_color" = yes && cat >>confdefs.h <<\EOF
 #define USE_ASSUMED_COLOR 1
 EOF
 
 ###   use option --enable-hashmap to turn on use of hashmap scrolling logic
-echo "$as_me:9070: checking if you want hashmap scrolling-optimization code" >&5
+echo "$as_me:9141: checking if you want hashmap scrolling-optimization code" >&5
 echo $ECHO_N "checking if you want hashmap scrolling-optimization code... $ECHO_C" >&6
 
 # Check whether --enable-hashmap or --disable-hashmap was given.
@@ -9077,14 +9148,14 @@ if test "${enable_hashmap+set}" = set; then
 else
   with_hashmap=yes
 fi;
-echo "$as_me:9080: result: $with_hashmap" >&5
+echo "$as_me:9151: result: $with_hashmap" >&5
 echo "${ECHO_T}$with_hashmap" >&6
 test "$with_hashmap" = yes && cat >>confdefs.h <<\EOF
 #define USE_HASHMAP 1
 EOF
 
 ###   use option --enable-colorfgbg to turn on use of $COLORFGBG environment
-echo "$as_me:9087: checking if you want colorfgbg code" >&5
+echo "$as_me:9158: checking if you want colorfgbg code" >&5
 echo $ECHO_N "checking if you want colorfgbg code... $ECHO_C" >&6
 
 # Check whether --enable-colorfgbg or --disable-colorfgbg was given.
@@ -9094,83 +9165,12 @@ if test "${enable_colorfgbg+set}" = set; then
 else
   with_colorfgbg=no
 fi;
-echo "$as_me:9097: result: $with_colorfgbg" >&5
+echo "$as_me:9168: result: $with_colorfgbg" >&5
 echo "${ECHO_T}$with_colorfgbg" >&6
 test "$with_colorfgbg" = yes && cat >>confdefs.h <<\EOF
 #define USE_COLORFGBG 1
 EOF
 
-###   use option --enable-ext-colors to turn on use of colors beyond 16.
-echo "$as_me:9104: checking if you want to use experimental extended colors" >&5
-echo $ECHO_N "checking if you want to use experimental extended colors... $ECHO_C" >&6
-
-# Check whether --enable-ext-colors or --disable-ext-colors was given.
-if test "${enable_ext_colors+set}" = set; then
-  enableval="$enable_ext_colors"
-  with_ext_colors=$enableval
-else
-  with_ext_colors=no
-fi;
-echo "$as_me:9114: result: $with_ext_colors" >&5
-echo "${ECHO_T}$with_ext_colors" >&6
-NCURSES_EXT_COLORS=0
-if test "$with_ext_colors" = yes ; then
-       if test "$with_widec" != yes ; then
-               { { echo "$as_me:9119: error: This option applies only to wide-character library" >&5
-echo "$as_me: error: This option applies only to wide-character library" >&2;}
-   { (exit 1); exit 1; }; }
-       else
-               # cannot be ABI 5 since it changes sizeof(cchar_t)
-
-if test "${with_abi_version+set}" != set; then
-       case $cf_cv_rel_version in
-       5.*)
-               cf_cv_rel_version=6.0
-               cf_cv_abi_version=6
-               { echo "$as_me:9130: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
-echo "$as_me: WARNING: Overriding ABI version to $cf_cv_abi_version" >&2;}
-               ;;
-       esac
-fi
-
-       fi
-       NCURSES_EXT_COLORS=1
-       cat >>confdefs.h <<\EOF
-#define NCURSES_EXT_COLORS 1
-EOF
-
-fi
-
-###   use option --enable-ext-mouse to modify coding to support 5-button mice
-echo "$as_me:9145: checking if you want to use experimental extended mouse encoding" >&5
-echo $ECHO_N "checking if you want to use experimental extended mouse encoding... $ECHO_C" >&6
-
-# Check whether --enable-ext-mouse or --disable-ext-mouse was given.
-if test "${enable_ext_mouse+set}" = set; then
-  enableval="$enable_ext_mouse"
-  with_ext_mouse=$enableval
-else
-  with_ext_mouse=no
-fi;
-echo "$as_me:9155: result: $with_ext_mouse" >&5
-echo "${ECHO_T}$with_ext_mouse" >&6
-NCURSES_MOUSE_VERSION=1
-if test "$with_ext_mouse" = yes ; then
-       NCURSES_MOUSE_VERSION=2
-
-if test "${with_abi_version+set}" != set; then
-       case $cf_cv_rel_version in
-       5.*)
-               cf_cv_rel_version=6.0
-               cf_cv_abi_version=6
-               { echo "$as_me:9166: WARNING: Overriding ABI version to $cf_cv_abi_version" >&5
-echo "$as_me: WARNING: Overriding ABI version to $cf_cv_abi_version" >&2;}
-               ;;
-       esac
-fi
-
-fi
-
 # This is still experimental (20080329), but should ultimately be moved to
 # the script-block --with-normal, etc.
 
@@ -16770,10 +16770,10 @@ s,@NCURSES_OSPEED@,$NCURSES_OSPEED,;t t
 s,@MANPAGE_RENAMES@,$MANPAGE_RENAMES,;t t
 s,@NCURSES_EXT_FUNCS@,$NCURSES_EXT_FUNCS,;t t
 s,@NCURSES_CONST@,$NCURSES_CONST,;t t
-s,@NCURSES_SBOOL@,$NCURSES_SBOOL,;t t
-s,@NCURSES_XNAMES@,$NCURSES_XNAMES,;t t
 s,@NCURSES_EXT_COLORS@,$NCURSES_EXT_COLORS,;t t
 s,@NCURSES_MOUSE_VERSION@,$NCURSES_MOUSE_VERSION,;t t
+s,@NCURSES_SBOOL@,$NCURSES_SBOOL,;t t
+s,@NCURSES_XNAMES@,$NCURSES_XNAMES,;t t
 s,@cf_cv_enable_reentrant@,$cf_cv_enable_reentrant,;t t
 s,@cf_cv_enable_opaque@,$cf_cv_enable_opaque,;t t
 s,@NCURSES_OPAQUE@,$NCURSES_OPAQUE,;t t